## org.jfree.report.modules.gui.swing.printing
Class PrintTask

    java.lang.Object
      org.jfree.report.modules.gui.swing.printing.PrintTask

All Implemented Interfaces:
  java.lang.Runnable

    public class PrintTask

extends java.lang.Object
implements java.lang.Runnable

Creation-Date: Dec 3, 2006, 3:23:22 PM

Author:
  Thomas Morgner

Constructor Summary
`PrintTask(ReportJob job)`

Method Summary
`void` `run()` When an object implementing interface `Runnable` is used to create a thread, starting the thread causes the object's `run` method to be called in that separately executing thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintTask

    public PrintTask(ReportJob job)

Method Detail

### run

    public void run()

  When an object implementing interface `Runnable` is used to create a thread, starting the thread causes the object's `run` method to be called in that separately executing thread.

  The general contract of the method `run` is that it may take any action whatsoever.

  Specified by:
    `run` in interface `java.lang.Runnable`
  See Also:
    `Thread.run()`